Ask Your Question
0

error after making smclib

asked 2013-03-04 08:12:18 -0500

AdrianPeng gravatar image

updated 2013-03-04 08:13:05 -0500

Hi everyone,

I cannot run roscore after I download and make smclib (fuerte version).

This is output error of typing "roswtf":

Loaded plugin tf.tfwtf
No package or stack in context================================================================================
Static checks summary:

Found 3 error(s).

ERROR Not all paths in ROS_PACKAGE_PATH [/root/catkin_ws/src:/root/ros_core_ws/install/share:/root/ros_core_ws/install/stacks] point to an existing directory: 
 * /root/ros_core_ws/install/stacks

ERROR Not all paths in PYTHONPATH [/root/catkin_ws/devel/lib/python2.7/dist-packages:/root/ros_core_ws/install/lib/python2.7/dist-packages] point to a directory: 
 * /root/catkin_ws/devel/lib/python2.7/dist-packages

ERROR ROS_TEST_RESULTS_DIR is invalid: ROS_TEST_RESULTS_DIR [/root/catkin_ws/build/test_results] is not writable ================================================================================

ROS Master does not appear to be running.
Online graph checks will not be run.
ROS_MASTER_URI is [http://192.168.1.1:11311]

This is the output error of typing "roscore":

WARNING(s) in /root/catkin_ws/src/bondcore/smclib/build/smc_6_0_1/lib/Php/package.xml:
- The "package" tag must not have the following attributes: packagerversion, xmlns, xmlns:tasks, version, xmlns:xsi, xsi:schemaLocation
- The manifest must not contain the following tags: lead, changelog, notes, uri, summary, stability, dependencies, time, date, phprelease, contents
- The "version" tag must not contain the following children: release, api
- The "license" tag must not have the following attributes: uri Traceback (most recent call last):
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/__init__.py", line 263, in main
    p.start()
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/parent.py", line 268, in start
    self.runner.launch()
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/launch.py", line 644, in launch
    self._setup()
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/launch.py", line 621, in _setup
    self._launch_core_nodes()
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/launch.py", line 496, in _launch_core_nodes
    name, success = self.launch_node(node, core=True)
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/launch.py", line 524, in launch_node
    process = create_node_process(self.run_id, node, master.uri)
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/nodeprocess.py", line 131, in create_node_process
    args = create_local_process_args(node, machine)
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslaunch/node_args.py", line 234, in create_local_process_args
    matches = roslib.packages.find_node(node.package, node.type, rospack)
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslib/packages.py", line 400, in find_node
    return find_resource(pkg, node_type, filter_fn=_executable_filter, rospack=rospack)
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/roslib/packages.py", line 497, in find_resource
    search_paths = catkin_find(search_dirs=['libexec', 'share'], project=pkg, first_matching_workspace_only=True)
  File "/root/ros_core_ws/install/lib/python2.7/dist-packages/catkin/find_in_workspaces.py", line 99, in find_in_workspaces
    packages = find_packages(source_path)
  File "/usr/local/lib/python2.7/dist-packages/catkin_pkg/packages.py", line 81, in find_packages
    package = parse_package(os.path.join(basepath, path))
  File "/usr/local/lib/python2.7/dist-packages/catkin_pkg/package.py", line 257, in parse_package
    return parse_package_string(f.read(), filename)
  File "/usr/local/lib/python2.7/dist-packages/catkin_pkg/package.py", line 387, in parse_package_string
    pkg.validate()
  File "/usr/local/lib/python2.7/dist-packages/catkin_pkg ...
(more)
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-03-21 15:37:39 -0500

tfoote gravatar image

With all those errors it looks like you downloaded the wrong version of smclib.

By the way it is also not recommended to build and run as root.

edit flag offensive delete link more

Comments

Thanks for your reply. After I change the version to groovy, it works.

AdrianPeng gravatar imageAdrianPeng ( 2013-03-22 07:02:11 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-03-04 08:12:18 -0500

Seen: 161 times

Last updated: Mar 21 '13